Bug 1385288 - Application icon is using 'generic executable' icon
Summary: Application icon is using 'generic executable' icon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: polari
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-15 23:01 UTC by Eduardo Silva
Modified: 2016-10-31 07:37 UTC (History)
2 users (show)

Fixed In Version: polari-3.22.1-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-31 07:37:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Eduardo Silva 2016-10-15 23:01:10 UTC
Description of problem:
In the dash, application list and top bar, polari is shown with the 'executable' icon, and not the correct application icon.


Version-Release number of selected component (if applicable):
polari 3.22
gnome 3.22
Fedora 35

How reproducible:
allways

Comment 1 Florian Müllner 2016-10-18 13:27:08 UTC
(In reply to Eduardo Silva from comment #0)
> How reproducible:
> allways

Not here - how did you install Polari? What locale are you using?

Comment 2 Eduardo Silva 2016-10-21 19:02:30 UTC
I installed either with Software or with dnf (I uninstalled and reinstalled with dnf to make sure that wasn't the issue, and the problem remained), and only have F25 and rpmfusion repos. I'm using European portuguese (pt_PT) locale.

The problem could be with the way I installed F25, keeping the /home partition from the previous F24 install...

Comment 3 Florian Müllner 2016-10-27 12:56:22 UTC
(In reply to Eduardo Silva from comment #2)
> I'm using European portuguese (pt_PT) locale.

Sigh - excerpt from the .desktop file:
# Translators: Do NOT translate or transliterate this text (this is an icon file name)!
Icon[pt]=org.gnome.polari
Icon=org.gnome.Polari

Note the different capitalization of the "Polari" name - I'll fix this, in the meantime you can edit /usr/share/applications/org.gnome.Polari.desktop to use the correct name:
Icon[pt]=org.gnome.Polari

Comment 4 Florian Müllner 2016-10-27 13:44:42 UTC
Filed https://bodhi.fedoraproject.org/updates/FEDORA-2016-d043b1e904 with the fix.

Comment 5 Fedora Update System 2016-10-28 14:55:34 UTC
polari-3.22.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d043b1e904

Comment 6 Fedora Update System 2016-10-31 07:37:51 UTC
polari-3.22.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.